Old to new
Posted by: Matuguarda (---.89.14.pool.telefonica.de)
Date: September 30, 2021 04:47AM

Hello everyone, i would need a little help.

I had WAMP 3.2.3.3 (64bit) installed on windows.
I installed WP and i built a website, i also created lot of contents, in few days i have to put anything online on a webhosting.

My windows did some crap and i needed to reinstall windows, before i saved the whole folder WAMP (anything was inside: apache, sql and php).
Now with new windows i re installed wamp, i copied the old folder and i start wamp from the old folder, it runs.

What exactly are the folders i should replace from old to new, to run the website i built before?

Options: ReplyQuote
Re: Old to new
Posted by: Otomatic (Moderator)
Date: September 30, 2021 10:43AM

Hi,

-- For databases:
Important Reminder: The transfer of databases between different versions of MySQL or MariaDB should be performed by EXPORT / IMPORT of SQL files using phpMyAdmin or a similiar tools of your choice. Do not copy the data folder between different versions of MYSQL or MariaDB. Databases from different versions of MYSQL or MariaDB are VERY unlikely to be compatible! You will also destroy the version of MYSQL or MariaDB that you copied the data folder to.

-- For local sites:
Folders that contains your local sites, i.e. your folders in wamp(64)/www/

But don't forget that with the use of VirtualHost, the folders of your local sites can be anywhere and not necessarily in the Wampserver tree, in which case there are no folders to copy but only the httpd-vhosts.conf file.
See items 1, 2 and 3 of Wampserver 3 - Some explanations

Don't forget that your databases can also be outside the Wampserver tree, in which case, there is only the datadir directive of the my.ini file to modify.
See items 9 of Wampserver 3 - Some explanations

------------------------------------------------------------------------------------------------------------
Wampserver 3.2.6 32 bit - Apache 2.4.51 - PHP 8.0.11…5.6.40 - MySQL 5.7.35 - MariaDB 10.5.12/10.6.4
Wampserver 3.2.6 64 bit - Apache 2.4.51 - PHP 8.0.11…5.6.40 - MySQL 5.7.35/8.0.26 - MariaDB 10.5.12/10.6.4
PhPMyadmin 5.1.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote


Sorry, only registered users may post in this forum.